devplugin

## Class PluginInfo

- java.lang.Object
- - devplugin.PluginInfo

-     public final class PluginInfo
      extends java.lang.Object

  This class provides information about a plugin.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PluginInfo()` Creates the default PluginVersion instance.
    `PluginInfo(java.lang.Class<? extends java.lang.Object> caller, java.lang.String name)` Creates an instance of PluginInfo with the default values and the given name.
    `PluginInfo(java.lang.Class<? extends java.lang.Object> caller, java.lang.String name, java.lang.String desc)` Creates an instance of PluginInfo with the default values and the given name and description.
    `PluginInfo(java.lang.Class<? extends java.lang.Object> caller, java.lang.String name, java.lang.String desc, java.lang.String author)` Creates an instance of PluginInfo with the default values and the given name, description and author.
    `PluginInfo(java.lang.Class<? extends java.lang.Object> caller, java.lang.String name, java.lang.String desc, java.lang.String author, java.lang.String license)` Creates an instance of PluginInfo with the default values and the given name, description, author, the help url and license.
    `PluginInfo(java.lang.Class<? extends java.lang.Object> caller, java.lang.String name, java.lang.String desc, java.lang.String author, java.lang.String license, java.lang.String helpUrl)` Creates an instance of PluginInfo with the default values and the given name, description, author, the help url and license.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAuthor()` Gets the author of the plugin.
    `java.lang.String` | `getDescription()` Gets the description of the plugin.
    `java.lang.String` | `getHelpUrl()` Gets the help url for the plugin.
    `static java.lang.String` | `getHelpUrl(java.lang.String id)` get the help URL (in the wiki) for a plugin
    `java.lang.String` | `getLicense()` Gets the license of the plugin.
    `java.lang.String` | `getName()` Gets the name of the plugin.
    `Version` | `getVersion()` Gets the version of the plugin.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PluginInfo

          public PluginInfo()

      Creates the default PluginVersion instance.

    - #### PluginInfo

          public PluginInfo(java.lang.Class<? extends java.lang.Object> caller,
                    java.lang.String name)

      Creates an instance of PluginInfo with the default values and the given name. If the caller class is a Plugin/TvDataService it will be tried to get the version from the static method getVersion() of Plugin/AbstractTvDataService.

      So assumed you have a plugin class MyPlugin, you would do it like this: new PluginInfo(MyPlugin.class, "My Plugin");

      Parameters:
        `caller` - The class (plugin class) that want to create this PluginInfo
        `name` - The name of the plugin.
      Since:
        2.6

    - #### PluginInfo

          public PluginInfo(java.lang.Class<? extends java.lang.Object> caller,
                    java.lang.String name,
                    java.lang.String desc)

      Creates an instance of PluginInfo with the default values and the given name and description. If the caller class is a Plugin/TvDataService it will be tried to get the version from the static method getVersion() of Plugin/AbstractTvDataService.

      So assumed you have a plugin class MyPlugin, you would do it like this: new PluginInfo(MyPlugin.class, "My Plugin", "This plugin does something.");

      Parameters:
        `caller` - The class (plugin class) that want to create this PluginInfo
        `name` - The name of the plugin.
        `desc` - The description for the plugin.
      Since:
        2.6

    - #### PluginInfo

          public PluginInfo(java.lang.Class<? extends java.lang.Object> caller,
                    java.lang.String name,
                    java.lang.String desc,
                    java.lang.String author)

      Creates an instance of PluginInfo with the default values and the given name, description and author. If the caller class is a Plugin/TvDataService it will be tried to get the version from the static method getVersion() of Plugin/AbstractTvDataService.

      So assumed you have a plugin class MyPlugin, you would do it like this: new PluginInfo(MyPlugin.class, "My Plugin", "This plugin does something.", "My Name");

      Parameters:
        `caller` - The class (plugin class) that want to create this PluginInfo
        `name` - The name of the plugin.
        `desc` - The description for the plugin.
        `author` - The author of the plugin.
      Since:
        2.6

    - #### PluginInfo

          public PluginInfo(java.lang.Class<? extends java.lang.Object> caller,
                    java.lang.String name,
                    java.lang.String desc,
                    java.lang.String author,
                    java.lang.String license)

      Creates an instance of PluginInfo with the default values and the given name, description, author, the help url and license. If the caller class is a Plugin/TvDataService it will be tried to get the version from the static method getVersion() of Plugin/AbstractTvDataService.

      So assumed you have a plugin class MyPlugin, you would do it like this: new PluginInfo(MyPlugin.class, "My Plugin", "This plugin does something.", "My Name", "Some license");

      Parameters:
        `caller` - The class (plugin class) that want to create this PluginInfo
        `name` - The name of the plugin.
        `desc` - The description for the plugin.
        `author` - The author of the plugin.
        `license` - The license of the plugin.
      Since:
        2.6

    - #### PluginInfo

          public PluginInfo(java.lang.Class<? extends java.lang.Object> caller,
                    java.lang.String name,
                    java.lang.String desc,
                    java.lang.String author,
                    java.lang.String license,
                    java.lang.String helpUrl)

      Creates an instance of PluginInfo with the default values and the given name, description, author, the help url and license. If the caller class is a Plugin/TvDataService it will be tried to get the version from the static method getVersion() of Plugin/AbstractTvDataService.

      So assumed you have a plugin class MyPlugin, you would do it like this: new PluginInfo(MyPlugin.class, "My Plugin", "This plugin does something.", "My Name", "Some license", "http://myhelp.org/mypluginhelp");

      Parameters:
        `caller` - The class (plugin class) that want to create this PluginInfo
        `name` - The name of the plugin.
        `desc` - The description for the plugin.
        `author` - The author of the plugin.
        `helpUrl` - The url where to find help for the plugin.
        `license` - The license of the plugin.
      Since:
        2.6

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Gets the name of the plugin.

      Returns:
        The name of the plugin.

    - #### getDescription

          public java.lang.String getDescription()

      Gets the description of the plugin.

      Returns:
        The description for this plugin.

    - #### getAuthor

          public java.lang.String getAuthor()

      Gets the author of the plugin.

      Returns:
        The author of the plugin.

    - #### getHelpUrl

          public java.lang.String getHelpUrl()

      Gets the help url for the plugin.

      Returns:
        The help url for the plugin.
      Since:
        2.6

    - #### getVersion

          public Version getVersion()

      Gets the version of the plugin.

      Returns:
        The version of the plugin.

    - #### getLicense

          public java.lang.String getLicense()

      Gets the license of the plugin.

      Returns:
        The license of the plugin.

    - #### getHelpUrl

          public static java.lang.String getHelpUrl(java.lang.String id)

      get the help URL (in the wiki) for a plugin
      Parameters:
        `id` - plugin id
      Returns:
        generic help URL
      Since:
        2.6.1

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)